%global pypi_name jupyterlab_pygments

Summary:        Pygments theme
Name:           python-%{pypi_name}
Version:        0.3.0
Release:        1%{?dist}
License:        BSD-3-Clause AND MIT
URL:            https://github.com/jupyterlab/jupyterlab_pygments
Source0:        %{pypi_source}

Patch3000:      drop-hatch-nodejs-version.patch

BuildRequires:  python3-devel
BuildArch:      noarch

%description
This package contains a syntax coloring theme for pygments making use of the 
JupyterLab CSS variables.

%package -n     python3-%{pypi_name}
Summary:        Pygments theme

Requires:       (python3dist(pygments) >= 2.4.1 with python3dist(pygments) < 3)

# Generated by:
# python3 -c "import json; [print(f\"Provides:        bundled(npm({p['name']})) = {p['versionInfo']}\") for p in json.load(open(\"third-party-licenses.json\"))[\"packages\"]]"
# in jupyterlab_pygments/labextension/static.
Provides:        bundled(npm(css-loader)) = 6.8.1
Provides:        bundled(npm(style-loader)) = 3.3.3

%description -n python3-%{pypi_name}
This package contains a syntax coloring theme for pygments making use of the 
JupyterLab CSS variables.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
sed -i "s/##VERSION##/%{version}/" pyproject.toml
sed -i '/"jupyterlab[><"]/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_datadir}/jupyter/labextensions/jupyterlab_pygments

%changelog
* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 0.3.0-1
- initial build
